libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
gprs_ns2_vc_priv Struct Reference

## Data Fields
struct gprs_ns2_vc * | nsvc
int | N
bool | initiator
bool | initiate_block
bool | initiate_reset
bool | accept_unitdata
struct {
struct osmo_timer_list timer
enum ns2_timeout mode
int N
struct timespec timer_started
} | alive

## Field Documentation

## ◆ accept_unitdata

bool gprs_ns2_vc_priv::accept_unitdata

Referenced by ns2_st_blocked(), ns2_st_reset_onenter(), ns2_st_unblocked(), ns2_st_unblocked_on_enter(), ns2_vc_fsm_allstate_action(), and ns2_vc_fsm_timer_cb().

## ◆

struct { ... } gprs_ns2_vc_priv::alive

Referenced by alive_timeout_handler(), alive_timer_elapsed_ms(), ns2_st_alive_onenter(), ns2_vc_fsm_alloc(), ns2_vc_fsm_clean(), start_test_procedure(), and stop_test_procedure().

## ◆ initiate_block

bool gprs_ns2_vc_priv::initiate_block

Referenced by ns2_st_blocked(), ns2_st_blocked_onenter(), ns2_st_unblocked(), ns2_st_unconfigured(), ns2_vc_fsm_allstate_action(), and ns2_vc_fsm_timer_cb().

## ◆ initiate_reset

bool gprs_ns2_vc_priv::initiate_reset

Referenced by ns2_st_reset(), ns2_st_reset_onenter(), ns2_st_unconfigured(), ns2_vc_fsm_allstate_action(), and ns2_vc_fsm_timer_cb().

## ◆ initiator

bool gprs_ns2_vc_priv::initiator

Referenced by ns2_st_unconfigured(), and ns2_vc_fsm_alloc().

## ◆ mode

enum ns2_timeout gprs_ns2_vc_priv::mode

Referenced by alive_timeout_handler(), ns2_st_alive_onenter(), and start_test_procedure().

## ◆ N

int gprs_ns2_vc_priv::N

Referenced by alive_timeout_handler(), ns2_st_alive_onenter(), ns2_st_blocked_onenter(), ns2_st_reset_onenter(), ns2_vc_fsm_timer_cb(), and start_test_procedure().

## ◆ nsvc

struct gprs_ns2_vc* gprs_ns2_vc_priv::nsvc

Referenced by alive_timeout_handler(), ns2_st_alive_onenter(), ns2_st_blocked(), ns2_st_blocked_onenter(), ns2_st_reset(), ns2_st_reset_onenter(), ns2_st_unblocked(), ns2_st_unconfigured(), ns2_st_unconfigured_onenter(), ns2_vc_block(), ns2_vc_force_unconfigured(), ns2_vc_fsm_alloc(), ns2_vc_fsm_allstate_action(), ns2_vc_fsm_start(), ns2_vc_fsm_timer_cb(), ns2_vc_reset(), ns2_vc_unblock(), ns_inst_from_fi(), start_test_procedure(), and stop_test_procedure().

## ◆ timer

struct osmo_timer_list gprs_ns2_vc_priv::timer

Referenced by alive_timeout_handler(), ns2_st_alive_onenter(), ns2_vc_fsm_alloc(), ns2_vc_fsm_clean(), start_test_procedure(), and stop_test_procedure().

## ◆ timer_started

struct timespec gprs_ns2_vc_priv::timer_started

Referenced by alive_timeout_handler(), alive_timer_elapsed_ms(), and start_test_procedure().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_vc_fsm.c